phpmyadmin 缺少 mcrypt 扩展。请检查 PHP 配置。

ubuntu server 14.04 安装完phpmyadmin之后访问提示“缺少 mcrypt 扩展。请检查 PHP 配置。”,度娘一下发现大多数回答都是windows下面的,太不靠谱了,于是找到此扩展的官方页面,上面有关于ubuntu如何安装。

官方是这么说的
Note, for Ubuntu, simply installing php5-mcrypt did not get mcrypt to work. You need to execute the following commands as root to enable it:
(注意。在ubuntu上面。单纯的安装php5-mcrypt并没有什么卵用。你还要用root执行下面的那些命令来让他变得可用)

apt-get install php5-mcrypt
mv -i /etc/php5/conf.d/mcrypt.ini /etc/php5/mods-available/
php5enmod mcrypt
service apache2 restart

OK,搞定

本文链接:https://www.92ez.com/?action=show&id=78
!!! 转载请先联系non3gov@gmail.com授权并在显著位置注明作者和原文链接 !!! 小黑屋
提示:技术文章有一定的时效性,请先确认是否适用你当前的系统环境。

上一篇: 对Kambrook智能插座进行的逆向工程【翻译】
下一篇: 由daohang.114so.cn诡异的劫持带来的思考

访客评论
目前还没有人评论,您发表点看法?